/*-------------------------------------------------------------------------+
| Copyright 2016 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.extension.data;

import java.util.function.Predicate;

import org.eclipse.emf.ecore.EObject;

/**
 * Data class for atomic steps of tutorials.
 * 
 * @author hoelzl
 * @ConQAT.Rating GREEN Hash: 04948663B61F4F46D6878A8D3D23F7AA
 */
public abstract class TutorialAtomicStep extends TutorialStepBase {
	/** Constructor. */
	public TutorialAtomicStep(String title, String description) {
		super(title, description);
	}

	/** Constructor. */
	public TutorialAtomicStep(String title) {
		super(title);
	}

	/**
	 * Returns the completion predicate for this tutorial step. Sub-classes MUST NOT return
	 * <code>null</code>.
	 */
	public abstract Predicate<EObject> getCompletionChecker();
}
